KDE 4.7 PyKDE API Reference

- KDE's Python API

# LayerInterface Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

## Methods
bool | render (self, Marble.GeoPainter painter, Marble.ViewportParams viewport, QString renderPos="NONE", Marble.GeoSceneLayer layer=0)
QStringList | renderPosition (self)
float | zValue (self)

## Method Documentation

bool render | ( | self, |
|  | Marble.GeoPainter | painter,
|  | Marble.ViewportParams | viewport,
|  | QString | renderPos="NONE",
|  | Marble.GeoSceneLayer | layer=0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Renders the content provided by the layer on the viewport.

Returns:
  true Returns whether the rendering has been successful

QStringList renderPosition | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Preferred level in the layer stack for the rendering

Gives a preferred level in the existing layer stack where the render() method of this plugin should get executed. . Possible Values: "NONE" "STARS" "BEHIND_TARGET" "SURFACE" "HOVERS_ABOVE_SURFACE" "ATMOSPHERE" "ORBIT" "ALWAYS_ON_TOP" "FLOAT_ITEM" "USER_TOOLS"

float zValue | ( |  | self ) |

Returns the z value of the layer (default: 0.0). If two layers are painted at the same render position, the one with the higher z value is painted on top. If both have the same z value, their paint order is undefined.